---
title: CSSStyleRule
slug: Web/API/CSSStyleRule
tags:
  - API
  - CSSOM
  - CSSStyleRule
  - Interface
  - Reference
---
<div>{{ APIRef("CSSOM") }}</div>

<p><strong><code>CSSStyleRule</code></strong> represents a single CSS style rule. It implements the {{domxref("CSSRule")}} interface with a type value of <code>1</code> (<code>CSSRule.STYLE_RULE</code>).</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt id="selectorText">{{domxref("CSSStyleRule.selectorText")}}</dt>
 <dd>Returns the textual representation of the selector for this rule, e.g. <code>"h1,h2"</code>.</dd>
 <dt id="style">{{domxref("CSSStyleRule.style")}} {{readonlyinline}}</dt>
 <dd>Returns the {{domxref("CSSStyleDeclaration")}} object for the rule.</dd>
 <dt>{{domxref("CSSStyleRule.styleMap")}} {{readonlyinline}}</dt>
 <dd>Returns a {{domxref('StylePropertyMap')}} object which provides access to the rule's property-value pairs.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('CSSOM', '#the-cssstylerule-interface', 'CSSStyleRule') }}</td>
   <td>{{ Spec2('CSSOM') }}</td>
   <td>No changes</td>
  </tr>
  <tr>
   <td>{{ SpecName('DOM2 Style', 'css.html#CSS-CSSStyleRule', 'CSSRule') }}</td>
   <td>{{ Spec2('DOM2 Style') }}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSStyleRule")}}</p>
